"use strict";
// Copyright IBM Corp. 2019. All Rights Reserved.
// Node module: @loopback/example-greeting-app
// This file is licensed under the MIT License.
// License text available at https://opensource.org/licenses/MIT
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
const context_1 = require("@loopback/context");
const example_greeter_extension_1 = require("@loopback/example-greeter-extension");
const rest_1 = require("@loopback/rest");
/* istanbul ignore file */
let GreetingController = class GreetingController {
    constructor(greetingService, request) {
        this.greetingService = greetingService;
        this.request = request;
    }
    async greet(name) {
        const language = this.request.acceptsLanguages(['en', 'zh']) || 'en';
        const greeting = await this.greetingService.greet(language, name);
        return {
            timestamp: new Date(),
            language,
            greeting,
        };
    }
};
__decorate([
    rest_1.get('/greet/{name}', {
        responses: {
            '200': {
                description: '',
                content: {
                    'application/json': {
                        schema: {
                            type: 'object',
                            properties: {
                                timestamp: 'string',
                                language: 'string',
                                message: 'string',
                            },
                        },
                    },
                },
            },
        },
    }),
    __param(0, rest_1.param.path.string('name')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String]),
    __metadata("design:returntype", Promise)
], GreetingController.prototype, "greet", null);
GreetingController = __decorate([
    __param(0, context_1.inject(example_greeter_extension_1.GREETING_SERVICE)),
    __param(1, context_1.inject(rest_1.RestBindings.Http.REQUEST)),
    __metadata("design:paramtypes", [example_greeter_extension_1.GreetingService, Object])
], GreetingController);
exports.GreetingController = GreetingController;
//# sourceMappingURL=greeting.controller.js.map