"use strict";
// Copyright IBM Corp. 2019. All Rights Reserved.
// Node module: @loopback/example-greeting-app
// This file is licensed under the MIT License.
// License text available at https://opensource.org/licenses/MIT
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
const context_1 = require("@loopback/context");
const core_1 = require("@loopback/core");
const caching_service_1 = require("../caching-service");
const keys_1 = require("../keys");
/**
 * This class will be bound to the application as a `LifeCycleObserver` during
 * `boot`
 */
let CacheObserver = class CacheObserver {
    constructor(cachingService) {
        this.cachingService = cachingService;
    }
    /**
     * This method will be invoked when the application starts
     */
    async start() {
        await this.cachingService.start();
    }
    /**
     * This method will be invoked when the application stops
     */
    async stop() {
        await this.cachingService.stop();
    }
};
CacheObserver = __decorate([
    core_1.lifeCycleObserver('caching'),
    __param(0, context_1.inject(keys_1.CACHING_SERVICE)),
    __metadata("design:paramtypes", [caching_service_1.CachingService])
], CacheObserver);
exports.CacheObserver = CacheObserver;
//# sourceMappingURL=cache.observer.js.map